Đến nội dung


Hình ảnh
- - - - -

[Hỏi] Cách lấy đối tượng last


  • Please log in to reply
2 replies to this topic

#1 phanquyet

phanquyet

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 October 2012 - 08:52 AM

Cho em hỏi các bác có cách nào lấy được đối tượng cuối cùng được tạo không ạ. Chẳng hạn đối tượng mới sau Break. Em đang cần gấp. Cảm ơn các bác nhiều :)
  • 0

#2 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 15 October 2012 - 10:18 AM

phím phụ P
  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#3 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 15 October 2012 - 12:10 PM

Nếu tạo trong ModelSPace thì như sau:

Dim count as integer
count = ThisDrawing.ModelSpace.Items.Count

Dim LastObj as Entity
Set LastObj = ThisDrawing.ModelSpace.Items(count-1)
  • 1
Clear sky!

MF Rock collection.